Name:          whois
Version:       5.5.19
Release:       1mamba
Summary:       Queries whois directory service for information pertaining to a domain name
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rfc1036/whois
Source:        https://github.com/rfc1036/whois.git/v%{version}/whois-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libidn2-devel
## AUTOBUILDREQ-END

%description
Whois is a client-side application which queries the whois directory service for information pertaining to a particular domain name.

%debug_package

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall BASEDIR=%{buildroot}

rm -f %{buildroot}%{_bindir}/mkpasswd
rm -f %{buildroot}%{_mandir}/man1/mkpasswd.1*
rm -f %{buildroot}%{_datadir}/bash-completion/completions/mkpasswd

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/whois
%{_datadir}/bash-completion/completions/whois
%{_mandir}/man1/whois.1*
%{_mandir}/man5/whois.conf.5*
%doc COPYING
#% doc README

%changelog
* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 5.5.19-1mamba
- automatic version update by autodist

* Mon Jul 24 2023 Automatic Build System <autodist@mambasoft.it> 5.5.18-1mamba
- automatic version update by autodist

* Thu May 04 2023 Automatic Build System <autodist@mambasoft.it> 5.5.17-1mamba
- automatic version update by autodist

* Tue Mar 07 2023 Automatic Build System <autodist@mambasoft.it> 5.5.16-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 5.5.15-1mamba
- automatic version update by autodist

* Tue Oct 18 2022 Automatic Build System <autodist@mambasoft.it> 5.5.14-1mamba
- automatic version update by autodist

* Sat Apr 09 2022 Automatic Build System <autodist@mambasoft.it> 5.5.13-1mamba
- automatic version update by autodist

* Tue Mar 08 2022 Automatic Build System <autodist@mambasoft.it> 5.5.12-1mamba
- automatic version update by autodist

* Tue Jan 04 2022 Automatic Build System <autodist@mambasoft.it> 5.5.11-1mamba
- automatic version update by autodist

* Fri Jun 18 2021 Automatic Build System <autodist@mambasoft.it> 5.5.10-1mamba
- automatic version update by autodist

* Sun Mar 28 2021 Automatic Build System <autodist@mambasoft.it> 5.5.9-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 5.5.8-1mamba
- automatic version update by autodist

* Sat Oct 03 2020 Automatic Build System <autodist@mambasoft.it> 5.5.7-1mamba
- automatic update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 5.5.6-1mamba
- automatic version update by autodist

* Thu Jan 23 2020 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Sun Jan 05 2020 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Wed Dec 04 2019 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Sun Oct 06 2019 Automatic Build System <autodist@mambasoft.it> 5.5.2-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Sun Jun 16 2019 Automatic Build System <autodist@mambasoft.it> 5.4.3-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Sun Feb 17 2019 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Sat Nov 17 2018 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Wed Aug 01 2018 Automatic Build System <autodist@mambasoft.it> 5.3.2-1mamba
- automatic version update by autodist

* Thu Jun 21 2018 Automatic Build System <autodist@mambasoft.it> 5.3.1-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.0-1mamba
- update to 5.3.0

* Sun Aug 27 2017 Automatic Build System <autodist@mambasoft.it> 5.2.18-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 5.2.17-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 5.2.15-1mamba
- automatic version update by autodist

* Mon Jan 02 2017 Automatic Build System <autodist@mambasoft.it> 5.2.14-1mamba
- automatic version update by autodist

* Wed Jul 06 2016 Automatic Build System <autodist@mambasoft.it> 5.2.12-1mamba
- automatic version update by autodist

* Tue Mar 08 2016 Automatic Build System <autodist@mambasoft.it> 5.2.11-1mamba
- automatic version update by autodist

* Sat May 23 2015 Automatic Build System <autodist@mambasoft.it> 5.2.8-1mamba
- automatic update by autodist

* Wed Apr 01 2015 Automatic Build System <autodist@mambasoft.it> 5.2.7-1mamba
- automatic version update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 5.2.6-1mamba
- automatic version update by autodist

* Sat Mar 07 2015 Automatic Build System <autodist@mambasoft.it> 5.2.5-1mamba
- automatic update by autodist

* Sun Jan 04 2015 Automatic Build System <autodist@mambasoft.it> 5.2.3-1mamba
- automatic version update by autodist

* Fri Nov 21 2014 Automatic Build System <autodist@mambasoft.it> 5.2.2-1mamba
- automatic update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic update by autodist

* Sat Aug 23 2014 Automatic Build System <autodist@mambasoft.it> 5.1.5-1mamba
- automatic update by autodist

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 5.1.4-1mamba
- automatic update by autodist

* Thu May 29 2014 Automatic Build System <autodist@mambasoft.it> 5.1.3-1mamba
- automatic update by autodist

* Thu May 08 2014 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Sat Mar 01 2014 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic version update by autodist

* Tue Dec 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.26-2mamba
- remove mkpasswd

* Tue Dec 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.26-1mamba
- package created using the webbuild interface
